# Either kanban needs to be installed or the directory containing the
# kanban.py file needs to be in your PYTHONPATH.
import kanban
import sys

# These are the IDs of the lane and board that you want to
# automagically add cards to:
BOARD_ID = 12345678
LANE_ID = 23456789


def main(args):
    kb = kanban.LeankitKanban('canonical',
                              'user@canonical.com',
                              'password')

    board = kb.getBoard(board_id = BOARD_ID)
    lane = board.getLane(LANE_ID)
    # print lane.cards
    card = lane.addCard()
    card.title = 'automagic new card!'
    card.size = '99'
    card.external_card_id = '123456'
    card.is_blocked = 'false'
    card.save()


if __name__ == '__main__':
    sys.exit(main(sys.argv))
