#!/bin/bash -xe

date "+START: %c"

#export https_proxy=http://squid.external:3128
#export http_proxy=http://squid.external:3128

make 

if [ ! -e credentials ]; then
    if [ -e ~/credentials ]; then
        cp ~/credentials credentials
    else
        echo "ERROR: try make credentials first!"
        exit 1
    fi
fi

# default encoding of stdout/stderr when not attached to a terminal is set to
# 'None'.  'PYTHONIOENCODING' overrides, could also be overridden in the
# python program by modifying 'sys.stdout.encoding' directly.  This feels
# cleaner.  Note setting LANG (which the terminal respects) wont fix this,
# since there is no terminal attached.
# --------
# See:
# - https://wiki.python.org/moin/PrintFails
# - https://stackoverflow.com/questions/1473577
# - https://stackoverflow.com/questions/492483
# - https://stackoverflow.com/questions/9932406
config=$1
shift
PYTHONIOENCODING="utf-8" bin/py src/lp2kanban/bugs2cards.py -c "configs/${config}.ini" "${@}"
date "+END: %c"
